Package org.apache.wiki.tags

# Class WikiBodyTag

java.lang.Object
javax.servlet.jsp.tagext.TagSupport
javax.servlet.jsp.tagext.BodyTagSupport
org.apache.wiki.tags.WikiBodyTag

All Implemented Interfaces:
  `Serializable`, `javax.servlet.jsp.tagext.BodyTag`, `javax.servlet.jsp.tagext.IterationTag`, `javax.servlet.jsp.tagext.JspTag`, `javax.servlet.jsp.tagext.Tag`, `javax.servlet.jsp.tagext.TryCatchFinally`

Direct Known Subclasses:
  `EditorTag`, `PluginTag`

public abstract class WikiBodyTag extends javax.servlet.jsp.tagext.BodyTagSupport implements javax.servlet.jsp.tagext.TryCatchFinally
This is a class that provides the same services as the WikiTagBase, but this time it works for the BodyTagSupport base class.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`protected WikiContext`
`m_wikiContext`

### Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`WikiBodyTag()`

## Method Summary

Modifier and Type
Method
Description
`void`
`doCatch(Throwable arg0)`
`void`
`doFinally()`
`int`
`doStartTag()`
`abstract int`
`doWikiStartTag()`
A local stub for doing tags.

### Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doEndTag, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Field Details

### m_wikiContext

protected WikiContext m_wikiContext

## Constructor Details

### WikiBodyTag

public WikiBodyTag()

## Method Details

### doStartTag

public int doStartTag() throws javax.servlet.jsp.JspException

Specified by:
  `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
Overrides:
  `doStartTag` in class `javax.servlet.jsp.tagext.BodyTagSupport`
Throws:
  `javax.servlet.jsp.JspException`

### doWikiStartTag

public abstract int doWikiStartTag() throws javax.servlet.jsp.JspException, IOException
A local stub for doing tags. This is just called after the local variables have been set.

Returns:
  As doStartTag()
Throws:
  `javax.servlet.jsp.JspException`
  `IOException`

### doCatch

public void doCatch(Throwable arg0) throws Throwable

Specified by:
  `doCatch` in interface `javax.servlet.jsp.tagext.TryCatchFinally`
Throws:
  `Throwable`

### doFinally

public void doFinally()

Specified by:
  `doFinally` in interface `javax.servlet.jsp.tagext.TryCatchFinally`